Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta.map
Class VersionDateIndicator

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.ColumnVersionIndicator
                              |
                              +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.VersionDateIndicator

public class VersionDateIndicator
extends ColumnVersionIndicator

Handles optimistic lock versioning via a lock column containing timestamps in the data store.

Note that there are potentially severe granularity issues with using Date types as Version indictators... namely that some databases are not that fine grained with the date types and should instead be using `VersionNumberIndicator`.

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`DEFAULT, FALSE, LOB, TRUE, UNIQUE`

Constructor Summary
`VersionDateIndicator()`

Method Summary
`protected int` | `getDataStoreTypeCode()` Return the `FieldMapping` type code for the type of the column.
`java.lang.String` | `getMappingType()` Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.
`protected java.lang.Object` | `getNextVersion(java.lang.Object version)` Return the next version object, given the current one (which may be null for newly-persisted objects).
`protected boolean` | `needsRefresh(java.lang.Object mem, java.lang.Object db)` Return true if `mem` is not up-to-date with `db`.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.map.ColumnVersionIndicator
`fromMappingInfo, getColumn, getJDBCType, insert, load, map, refSchemaComponents, select, setColumn, synchVersion, toMappingInfo, update`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator
`getDefaults, newInstance, newInstance, postLoad, toString`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
`delete, getMappingRepository, getOwnerMapping, getTable, setOwnerMapping`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`checkIndex, createColumn, delete, getDBDictionary, getForeignKey, getLog, getSchemaGroup, insert, invalidMapping, isCustomDelete, isCustomInsert, isCustomUpdate, reverseMap, setForeignKey, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### VersionDateIndicator

    public VersionDateIndicator()

Method Detail

### getMappingType

    public java.lang.String getMappingType()

  Description copied from class: `Mapping`
  Return the abbreviated name of this mapping, or the full class name if it is a custom mapping. Returns the full class name by default.

  Overrides:
    `getMappingType` in class `Mapping`

### getDataStoreTypeCode

    protected int getDataStoreTypeCode()

  Description copied from class: `ColumnVersionIndicator`
  Return the `FieldMapping` type code for the type of the column.

  Specified by:
    `getDataStoreTypeCode` in class `ColumnVersionIndicator`

### getNextVersion

    protected java.lang.Object getNextVersion(java.lang.Object version)

  Description copied from class: `ColumnVersionIndicator`
  Return the next version object, given the current one (which may be null for newly-persisted objects).

  Specified by:
    `getNextVersion` in class `ColumnVersionIndicator`

### needsRefresh

    protected boolean needsRefresh(java.lang.Object mem,
                                   java.lang.Object db)

  Description copied from class: `ColumnVersionIndicator`
  Return true if `mem` is not up-to-date with `db`.

  Specified by:
    `needsRefresh` in class `ColumnVersionIndicator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.